Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 888297

Summary: net-misc/seafile: uses dev-python/future
Product: Gentoo Linux Reporter: Michał Górny <mgorny>
Component: Current packagesAssignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it <maintainer-needed>
Status: RESOLVED FIXED    
Severity: normal    
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 888271    

Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2022-12-25 09:39:09 UTC
See tracker.
Comment 1 Eli Schwartz 2023-12-24 21:41:50 UTC
This was fixed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1a239e5168ea0c9f8bd8417dad3ae46afdd30b5c

commit 1a239e5168ea0c9f8bd8417dad3ae46afdd30b5c
Author:     Eli Schwartz <eschwartz93@gmail.com>
AuthorDate: Wed Dec 13 21:05:29 2023
Commit:     Sam James <sam@gentoo.org>
CommitDate: Sun Dec 24 14:20:38 2023

    net-misc/seafile: drop outdated dependency on dev-python/future
    
    Removed upstream in 7.0.8 via
    https://github.com/haiwen/seafile/commit/7e337a32333d2767d1dd3fe6e7f84f62011a3c10
    
    Signed-off-by: Eli Schwartz <eschwartz93@gmail.com>
    Closes: https://github.com/gentoo/gentoo/pull/34389
    Signed-off-by: Sam James <sam@gentoo.org>

 net-misc/seafile/{seafile-9.0.3.ebuild => seafile-8.0.9-r2.ebuild} | 15 ++++++---------
 net-misc/seafile/{seafile-9.0.3.ebuild => seafile-9.0.3-r1.ebuild} |  3 ---
 2 files changed, 6 insertions(+), 12 deletions(-)
 copy net-misc/seafile/{seafile-9.0.3.ebuild => seafile-8.0.9-r2.ebuild} (75%)
 rename net-misc/seafile/{seafile-9.0.3.ebuild => seafile-9.0.3-r1.ebuild} (95%)
Comment 2 Larry the Git Cow gentoo-dev 2024-02-02 19:41:14 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b63c83deb3c7ddcadcdace5f68d7d5956e2ec910

commit b63c83deb3c7ddcadcdace5f68d7d5956e2ec910
Author:     Eli Schwartz <eschwartz93@gmail.com>
AuthorDate: 2024-02-02 15:01:54 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2024-02-02 19:40:57 +0000

    net-misc/seafile: drop old
    
    Drops remaining dev-python/future revdep from the tree.
    
    Bug: https://bugs.gentoo.org/888297
    Signed-off-by: Eli Schwartz <eschwartz93@gmail.com>
    Signed-off-by: Sam James <sam@gentoo.org>

 net-misc/seafile/seafile-8.0.9-r1.ebuild | 65 --------------------------------
 1 file changed, 65 deletions(-)